/**
*U-Printer App
* Implementing UPrinter App
*/
var UPrinterApp = UPrinterApp || {};  //Define UPrinter App namespace.
/**
*Constructor UNAS App
*/
UPrinterApp.App = function () {
    this.id = 'U-Printer';
    this.name = 'U-Printer';
    this.version = '6.0.5';
    this.active = false;
    this.menuIcon = '/apps/uprinter/images/logo.png?v=6.0.5&';
    this.shortcutIcon = '/apps/uprinter/images/logo.png?v=6.0.5&';
    this.entryUrl = '/apps/uprinter/uprinter_main.html?v=6.0.5&';
    //this.entryHelpUrl = '/apps/uprinter/uanywhere_help.html?v=6.0.5&';
    var self = this;
    this.UPrinterAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-Printer')){
    		return false;
    	}
    	//load app setting
    	self.window=new MUI.Window({
            id: 'UPrinterAppWindow',
            title: UNAS._('U-Printer'),
            icon: '/apps/uprinter/images/logo_small.png?v=6.0.5&',
            loadMethod: 'xhr',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [550, 1500] },
            contentURL: '/apps/uprinter/uprinter_main.html?v=6.0.5&',
            require: {  css: ['/apps/uprinter/css/uprinter.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-Printer",'UPrinterAppWindow')}
     	});
    };
    this.UPrinterUninstall = function (){
    	UNAS.RemoveDesktopShortcut('U-Printer');
    	UNAS.RemoveMenu('U-Printer');
        UNAS.RemoveAppFromGroups('U-Printer', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('U-Printer', 'Help');
    	UNAS.RemoveAppFromApps('U-Printer');
    };
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-Printer', '', this.UPrinterAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-Printer', this.UPrinterAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Network", "Location" : 0, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-Printer', UNAS._('U-Printer')); //translate menu
        UNAS.SetShortcutTitle('U-Printer', UNAS._('U-Printer'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UPrinterAppWindow', UNAS._('U-Printer'));
        }
    };
    UNAS.LoadTranslation('/apps/uprinter/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UPrinterAppWindow, this.UPrinterUninstall);
};

new UPrinterApp.App();
